Package Details: gnome-defaults-list 42.0-1

Git Clone URL: https://aur.archlinux.org/gnome-defaults-list.git (read-only, click to copy)
Package Base: gnome-defaults-list
Description: Default file associations for GNOME environment
Upstream URL: https://tracker.debian.org/pkg/gnome-session
Licenses: GPL, LGPL
Submitter: rtimush
Maintainer: ItachiSan
Last Packager: ItachiSan
Votes: 109
Popularity: 0.97
First Submitted: 2009-01-15 07:56 (UTC)
Last Updated: 2022-04-20 07:20 (UTC)

Latest Comments

jlp2 commented on 2021-05-28 11:08 (UTC)

The Package on Debian seems to be a new one... https://deb.debian.org/debian/pool/main/g/gnome-session/gnome-session_3.38.0-4.debian.tar.xz The old one is missing and the PKGBUILD are not actual... The new Checksum is: 6884a6004ab10daa645285ede22ad8ab809e243d617cbb85712a1728fbcc7576

Moo-Crumpus commented on 2020-12-23 05:55 (UTC)

sha256sum gnome-session_3.38.0-3.debian.tar.xz 370bbc9ffa9addc7908d9b6d36f1d9821e4fc702d119c442b4c8b9352ef7d230 gnome-session_3.38.0-3.debian.tar.xz

ItachiSan commented on 2020-10-30 19:54 (UTC)

Thanks @jlp2!

Will work on upgrading the package. Seems I have some time now :)

jlp2 commented on 2020-10-22 13:58 (UTC) (edited on 2020-10-22 13:58 (UTC) by jlp2)

The Package on Debian seems to be a new one... https://deb.debian.org/debian/pool/main/g/gnome-session/gnome-session_3.38.0-2.debian.tar.xz The old one is missing and the PKGBUILD are not actual... The new Checksum is: 2bec3882d0f7e818d6867867cc70bf82ba32c18d1edca223e96b68d636868f70

alerque commented on 2020-03-24 06:37 (UTC)

Hesitant of what @ItachiSan? You can look around at all the packages I maintain or co-maintain. Of all the ones I am either a co-maintainer or have added others as co-maintainers I have yet to run into a problem collaborating with others. The git history provides quite a bit of accountability in that who did what is always evident and anything can be reverted. If my history in other packages doesn't speak for itself...

In my experience the "dark periods" come about starting like any other day, but one thing leads to another and my attention is elsewhere. It's in those times that having co-maintainers in place ahead of time helps because if I don't have time to bump packages I'm probably not in a position to add people either.

ItachiSan commented on 2020-03-23 20:44 (UTC)

Hey @caleb, I appreciate the offer, however I am a bit hesitant.

In case of additional "dark periods" like recently happened, I will accept such offer though. :)

alerque commented on 2020-03-17 05:47 (UTC)

@ItachiSan Offer to help co-maintain this still stands. I often have to manually update my own fork and pass that around to my own systems, it would be nice to just help keep this fresh instead of having to fork.

alerque commented on 2018-12-18 07:41 (UTC)

@ItachiSan If you'd like to add me as a co-maintainer I can help bump the version on breakage. I use this on about 15 systems so I have some motivation to keep the package working.

ItachiSan commented on 2018-12-17 19:51 (UTC)

@everyone as a normal human being I have stuff to do and so I sometime have no time for updating the package when broken (AKA new version is released). To solve this issue temporarily (AKA meanwhile I have not updated the package) replace the mainstream URL in order to point to the Debian archive; which means, use

<http://archive.debian.org>

instead of

<https://deb.debian.org>

Remember also to flag the package as outdated!

ItachiSan commented on 2018-12-17 19:40 (UTC)

@caleb I understand completely, I will add a comment for whenever the package is broken.

alerque commented on 2018-12-12 13:36 (UTC)

This needs bumping to 3.30.1, upstream does not have old versions posted at these URLs. If anybody knows of a download URL that also has old versions that would be great. Having this package break every time there is an update is obnoxious.

kaptoxic commented on 2018-12-04 20:59 (UTC) (edited on 2018-12-04 22:05 (UTC) by kaptoxic)

Getting an error:

> curl: (22) The requested URL returned error: 404 Not Found
==> ERROR: Failure while downloading https://deb.debian.org/debian/pool/main/g/gnome-session/gnome-session_3.30.0-2.debian.tar.xz
    Aborting...

ItachiSan commented on 2018-05-27 13:17 (UTC)

@the0demiurge, as it is not an official package, people can optionally install it. You may suggest on the ArchWiki to install it.

the0demiurge commented on 2018-05-14 11:07 (UTC)

Why not install this by default when installing gnome?

diraimondo commented on 2017-10-14 22:11 (UTC) (edited on 2017-11-01 12:18 (UTC) by diraimondo)

The link is broken: now the package available is gnome-session_3.26.1-0ubuntu5.debian.tar.xz

alcasa commented on 2017-09-27 07:58 (UTC)

Current version 3.25.90 is out of date. Please update to 3.26. Please update to the correct source url of: http://archive.ubuntu.com/ubuntu/pool/main/g/gnome-session/gnome-session_3.26.0-0ubuntu1.debian.tar.xz

Moo-Crumpus commented on 2017-03-31 15:47 (UTC)

Out of date. Current version is 3.24.0. sha1sums=('c8970c1b0987c53beb879463e3257d61bae95aa6') pkgname=gnome-defaults-list pkgver=3.24.0 pkgrel=1 _ubuntuver=0ubuntu1

pcfreak commented on 2017-03-24 14:54 (UTC)

Tried to install it but failed (Link down). Changed the link to: https://launchpad.net/ubuntu/+archive/primary/+files/gnome-session_3.23.92-0ubuntu1.debian.tar.xz and it worked. Checksum was ok. Please update the pkgfile to # Maintainer: Giovanni Santini <giovannisantini93@yahoo.it> # Previous maintainer: Daniel Apolinario <dapolinario@gmail.com> # Contributor: Roman Timushev <romikt@gmail.com> pkgname=gnome-defaults-list pkgver=3.23.92 pkgrel=1 pkgdesc="default file associations for GNOME environment" _ubuntuver=0ubuntu1 arch=('any') url="http://packages.ubuntu.com/source/gnome-session" license=('GPL' 'LGPL') #source=(http://archive.ubuntu.com/ubuntu/pool/main/g/gnome-session/gnome-session_${pkgver}-${_ubuntuver}.debian.tar.xz) source=(https://launchpad.net/ubuntu/+archive/primary/+files/gnome-session_${pkgver}-${_ubuntuver}.debian.tar.xz) sha1sums=('20a45158c3e27200bd8189473851682bc9d9ec16') package() { #install -d "$pkgdir/etc/gnome" install -d "$pkgdir/usr/share/applications" # sed -i "s/libreoffice\-//g" $pkgdir/etc/gnome/defaults.list cp "$srcdir/debian/gnome-mimeapps.list" "$pkgdir/usr/share/applications/" #ln -s "$pkgdir/usr/share/applications/gnome-mimeapps.list" "/etc/gnome/defaults.list" } for a temporary solution.

ItachiSan commented on 2016-11-12 09:55 (UTC) (edited on 2016-11-12 10:34 (UTC) by ItachiSan)

I've decided to be totally Arch-style and make this package track the really latest (and maybe unstable) release. Shouldn't be a problem though. Also, I will make the package properly follows the XDG specification, especially related to the position (see: https://specifications.freedesktop.org/mime-apps-spec/mime-apps-spec-latest.html#file).

sndr999 commented on 2016-11-06 12:17 (UTC)

Update: -> ubuntuver: 1ubuntu1.16.04.2 -> md5sum: 699f0baa22ee1cd5cb22cc4e6a1e868d

IronRain commented on 2016-08-19 08:44 (UTC)

To update: -> ubuntuver: 1ubuntu1 -> md5sum: d4fd94451767266a2d7291b3251a359e -> archive extension: tar.xz

ItachiSan commented on 2015-03-22 17:29 (UTC)

To update: -> ubuntuver: 2ubuntu4 -> md5sum: c4f3267e501465c7352f47a1d8c65727 -> archive extension: tar.xz -> tar.gz

max.bra commented on 2015-02-05 18:00 (UTC)

2ubuntu3 9e13e13b8fbef7e65bc5a56e9c4972ee

andrewchen commented on 2014-09-20 01:04 (UTC)

Please update: _ubuntuver to 0ubuntu14 md5sum to 47b72ef999e911cfab70435ec1087341

madscience commented on 2014-03-15 07:25 (UTC)

Sorry, corrected pkgrel, should be: # Maintainer: Daniel Apolinario <dapolinario@gmail.com> # Contributor: Roman Timushev <romikt@gmail.com> pkgname=gnome-defaults-list pkgver=3.9.90 pkgrel=12 pkgdesc="default file associations for GNOME environment" _ubuntuver=0ubuntu12 arch=('any') url="http://packages.ubuntu.com/source/trusty/gnome-session" license=('GPL' 'LGPL') source=(http://archive.ubuntu.com/ubuntu/pool/main/g/gnome-session/gnome-session_$pkgver-$_ubuntuver.debian.tar.gz) md5sums=('f69824c58fba41710fd9e42e2735ae2e') package() { install -d "$pkgdir/etc/gnome" install -d "$pkgdir/usr/share/applications" cp $srcdir/debian/defaults.list $pkgdir/etc/gnome/defaults.list sed -i "s/openoffice\.org\-//g" $pkgdir/etc/gnome/defaults.list ln -s "/etc/gnome/defaults.list" "$pkgdir/usr/share/applications/" } # vim:set ts=2 sw=2 et:

madscience commented on 2014-03-15 05:41 (UTC)

and now it's: #Maintainer: Daniel Apolinario <dapolinario@gmail.com> # Contributor: Roman Timushev <romikt@gmail.com> pkgname=gnome-defaults-list pkgver=3.9.90 pkgrel=8 pkgdesc="default file associations for GNOME environment" _ubuntuver=0ubuntu12 arch=('any') url="http://packages.ubuntu.com/source/trusty/gnome-session" license=('GPL' 'LGPL') source=(http://archive.ubuntu.com/ubuntu/pool/main/g/gnome-session/gnome-session_$pkgver-$_ubuntuver.debian.tar.gz) md5sums=('f69824c58fba41710fd9e42e2735ae2e') package() { install -d "$pkgdir/etc/gnome" install -d "$pkgdir/usr/share/applications" cp $srcdir/debian/defaults.list $pkgdir/etc/gnome/defaults.list sed -i "s/openoffice\.org\-//g" $pkgdir/etc/gnome/defaults.list ln -s "/etc/gnome/defaults.list" "$pkgdir/usr/share/applications/" } # vim:set ts=2 sw=2 et:

commented on 2014-03-04 07:26 (UTC)

please update!! change _ubuntuver to 0ubuntu11 and md5sums to 1f31125b1b224538124a68256b900c0f

tuxsavvy commented on 2014-02-24 03:18 (UTC)

ubuntu 7 does not exist anymore on that site however, ubuntu 8 is available. Here is a fixed PKGBUILD: Maintainer: Daniel Apolinario <dapolinario@gmail.com> # Contributor: Roman Timushev <romikt@gmail.com> pkgname=gnome-defaults-list pkgver=3.9.90 pkgrel=8 pkgdesc="default file associations for GNOME environment" _ubuntuver=0ubuntu8 arch=('any') url="http://packages.ubuntu.com/source/trusty/gnome-session" license=('GPL' 'LGPL') source=(http://archive.ubuntu.com/ubuntu/pool/main/g/gnome-session/gnome-session_$pkgver-$_ubuntuver.debian.tar.gz) md5sums=('b41ca6b81ebefed457281dac4d913ae6') package() { install -d "$pkgdir/etc/gnome" install -d "$pkgdir/usr/share/applications" cp $srcdir/debian/defaults.list $pkgdir/etc/gnome/defaults.list sed -i "s/openoffice\.org\-//g" $pkgdir/etc/gnome/defaults.list ln -s "/etc/gnome/defaults.list" "$pkgdir/usr/share/applications/" } # vim:set ts=2 sw=2 et:

commented on 2014-02-09 09:11 (UTC)

source should be http://archive.ubuntu.com/ubuntu/pool/main/g/gnome-session/gnome-session_3.9.90-0ubuntu6.debian.tar.gz

commented on 2013-10-15 09:53 (UTC)

'Buntu update it to -ubuntu3 so now this have error

stecco commented on 2013-09-05 14:44 (UTC)

please update: _ubuntuver=0ubuntu2 md5sums=('18da695fe35aadf6470838e40956f997')

MonkeyWrench32 commented on 2013-03-18 17:09 (UTC)

Source should now be http://archive.ubuntu.com/ubuntu/pool/main/g/gnome-session/gnome-session_3.6.2-0ubuntu4.debian.tar.gz

commented on 2013-01-03 04:35 (UTC)

ubuntu update to 0ubuntu3 and remove the older, please update

dapolinario commented on 2012-08-11 13:44 (UTC)

We just need a file within the compressed file, so I opted for the smaller version.

commented on 2012-08-11 11:29 (UTC)

http://archive.ubuntu.com/ubuntu/pool/main/g/gnome-session/gnome-session_3.5.5-0ubuntu1.debian.tar.gz You never considering using the ,orig in place of the ubuntu patcheted version?

commented on 2012-07-22 00:18 (UTC)

curl: (22) The requested URL returned error: 404 not work,a and in fact the source not exist and update to the -0ubuntu3 http://archive.ubuntu.com/ubuntu/pool/main/g/gnome-session/gnome-session_3.5.2-0ubuntu3.debian.tar.gz

commented on 2012-07-22 00:14 (UTC)

curl: (22) The requested URL returned error: 404 not work,a and in fact the source not exist

commented on 2012-07-19 16:58 (UTC)

Please update again. pkgrel=2 md5sums=('ff0f3f267d01bd20f16a9b30a92cc3b1')

francoism commented on 2012-06-16 20:18 (UTC)

Update: md5: 326666cd4428355dd26223c49100b1dc gnome-session_3.5.2-0ubuntu1.debian.tar.gz

commented on 2012-04-23 13:15 (UTC)

Updated again... _ubuntuver=0ubuntu8 md5sums=('9b2bed5a6f95039c253a0d3506720f12')

commented on 2012-04-16 01:02 (UTC)

Please update... its giving 404 error. You can install with this: _ubuntuver=0ubuntu7 md5sums=('c4ec75424a3d3678c89e2c797374c78c')

TamCore commented on 2011-12-08 21:23 (UTC)

_ubuntuver=0ubuntu4 md5sums=('2475efc6aa30593522fb14c6c0a508e1')

commented on 2011-09-26 03:08 (UTC)

@dapolinario Thanks, that fixed the issue!

dapolinario commented on 2011-09-26 02:53 (UTC)

@kennym: What is not working? Already updated the package and tested. The version used has more lines than the version you provided.

commented on 2011-09-25 00:42 (UTC)

This is the new PKGBUILD, which works: # Maintainer: Daniel Apolinario <dapolinario@gmail.con> # Contributor: Kenny Meyer <knny.myer@gmail.com> pkgname=gnome-defaults-list pkgver=0.18 pkgrel=1 pkgdesc="default file associations for GNOME environment" _ubuntuver=0ubuntu4 arch=('i686' 'x86_64') url="http://packages.ubuntu.com/source/natty/desktop-file-utils" license=('GPL' 'LGPL') source=(http://archive.ubuntu.com/ubuntu/pool/main/d/desktop-file-utils/desktop-file-utils_$pkgver-$_ubuntuver.debian.tar.gz) md5sums=('2802d8d16887546a49c408a93f92457f') build() { install -d "$pkgdir/etc/gnome" install -d "$pkgdir/usr/share/applications" cp $srcdir/debian/defaults.list $pkgdir/etc/gnome/defaults.list ln -s "/etc/gnome/defaults.list" "$pkgdir/usr/share/applications/" }

commented on 2011-09-25 00:26 (UTC)

Seems like the source URL isn't correct anymore: ==> Continue building gnome-defaults-list ? [Y/n] ==> --------------------------------------------- ==> ==> Building and installing package ==> Making package: gnome-defaults-list 3.1.91-2 (Sat Sep 24 20:23:15 PYT 2011) ==> Checking runtime dependencies... ==> Checking buildtime dependencies... ==> Retrieving Sources... -> Downloading gnome-session_3.1.91-0ubuntu2.debian.tar.gz... --2011-09-24 20:23:15-- http://archive.ubuntu.com/ubuntu/pool/main/g/gnome-session/gnome-session_3.1.91-0ubuntu2.debian.tar.gz Resolving archive.ubuntu.com... 91.189.92.171, 91.189.88.30, 91.189.88.31, ... Connecting to archive.ubuntu.com|91.189.92.171|:80... connected. HTTP request sent, awaiting response... 404 Not Found 2011-09-24 20:23:21 ERROR 404: Not Found. ==> ERROR: Failure while downloading gnome-session_3.1.91-0ubuntu2.debian.tar.gz Aborting... ==> ERROR: Makepkg was unable to build gnome-defaults-list. ==> Restart building gnome-defaults-list ? [y/N] ==> --------------------------------------------

dapolinario commented on 2010-11-11 03:01 (UTC)

An alternative version using the file http://packages.ubuntu.com/source/natty/desktop-file-utils. It is simpler and less MIME Type's. http://aur.pastebin.com/MjiG4vFx Wish to choose which version: 2.32.0 (current) 0.17 (update the old version)?

dapolinario commented on 2010-11-11 02:18 (UTC)

I will adopt the package, but do not have much experience in this area. Anything can criticize.

rtimush commented on 2010-11-08 22:04 (UTC)

Disowning the package as I don't use Gnome and cannot test the suggested change (though it seems correct). Please adopt.